import { Box, Text } from "@chakra-ui/react";
import { getPermissions } from "@/app/lib/role/action";
import RoleForm from "../components/form";
import { getProjects } from "@/app/lib/projects/action";

const Create = async () => {
  const searchParams = { pagination: false };

  const [projects, permissions] = await Promise.all([getProjects(searchParams), getPermissions()]);
  

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {permissions && <RoleForm modules={permissions} projects={projects.data}/>}
    </Box>
  );
};

export default Create;
